> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 灵感任务

> task=inspiration — 用 1–4 首片段组成的歌单来生成

先建歌单再生成。这一页是 `task=inspiration` 的请求体。建歌单是 [创建歌单](/zh/api-reference/suno/playlistCreate) 和 [添加片段](/zh/api-reference/suno/playlistAddClips)。完整步骤见 [Inspiration](/zh/api-reference/suno/inspiration)。

不传 `persona` 时上游任务是 `playlist_condition`。带 vox persona 时是 `vox_playlist_condition`。

`POST /suno/v2/generate` 返回 `{ "taskId" }`。轮询 [查询任务状态](/zh/api-reference/suno/task)。Schema：`GET /suno/v2/generate/schema?task=inspiration`。

## 调用之前

1. `POST /suno/v2/playlist/create` → `playlist_id`
2. `POST /suno/v2/playlist/addClips`，加入 **1–4** 首灵感片段

## 参数

| 字段 | 必填 | 说明 |
| - | - | - |
| `task` | 是 | `"inspiration"` |
| `model` | 是 | 建议 `chirp-v6` |
| `playlist_id` | 是 | 上面两步得到的 id |
| `persona` | 否 | Vox persona 会切换上游任务。`persona_style: "vox"`，并带上 `persona_id` 和 `artist_clip_id` |
| `tags` | 否 | 新歌风格 |
| `vocal_gender` | 否 | `"m"` 或 `"f"` |
| `controls.audio_weight` | 否 | 跟歌单有多紧，0–1 |

其他可选字段：[共用列表](/zh/api-reference/suno/generate-tasks#shared-optional-fields)。

## 示例

不带 persona：

```json theme={null}
{
  "task": "inspiration",
  "model": "chirp-v6",
  "title": "Inspired by jack",
  "tags": "rap, catchy",
  "make_instrumental": false,
  "playlist_id": "119573ff-8e48-4fe6-9029-39c76c9a5597",
  "vocal_gender": "m",
  "controls": { "audio_weight": 0.31 }
}
```

带 vox persona：

```json theme={null}
{
  "task": "inspiration",
  "model": "chirp-v6",
  "title": "Inspired by jack",
  "tags": "rap",
  "make_instrumental": true,
  "playlist_id": "119573ff-8e48-4fe6-9029-39c76c9a5597",
  "persona": {
    "artist_clip_id": "f493ed9a-d231-4fe7-938b-2a47857674bd",
    "persona_id": "f563ce69-aaa2-4000-8781-f7c3aefa3842",
    "persona_style": "vox"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.